Imagick::reduceNoiseImage
Imagick::removeImage
Imagick
PHP Manual

# Imagick::remapImage

Remaps image colors

### Description

public bool Imagick::remapImage ( Imagick `$replacement` , int `$DITHER` )

Replaces colors an image with those defined by `replacement`. The colors are replaced with the closest possible color. This method is available if Imagick has been compiled against ImageMagick version 6.4.5 or newer.

### Parameters

`replacement`

  An Imagick object containing the replacement colors

`DITHER`

  Refer to this list of dither method constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.